//
//  ViewController.m
//  ex_UISegmentedControl
//
//  Created by yoshiyuki oshige on 2013/12/21.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
//セグメントコントロールをアクション接続してメソッド宣言を挿入する
- (IBAction)selectColor:(UISegmentedControl *)sender;

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	//最初は青の背景色にする
    self.view.backgroundColor = [UIColor blueColor];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//セグメントコントロールで色を選ぶ
- (IBAction)selectColor:(UISegmentedControl *)sender {
    //セグメントコントロールで選ばれたインデックス番号
    switch (sender.selectedSegmentIndex) {
        case 0:
            //0番のとき青
            self.view.backgroundColor = [UIColor blueColor];
            break;
        case 1:
            //1番のとき黄
            self.view.backgroundColor = [UIColor yellowColor];
            break;
        case 2:
            //2番のとき赤
            self.view.backgroundColor = [UIColor redColor];
            break;
    }
}
@end
