//
//  ViewController.m
//  ex_UISwitch_color
//
//  Created by yoshiyuki oshige on 2013/12/20.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
//スイッチをアクション接続してメソッド宣言を挿入する
- (IBAction)changeColor:(UISwitch *)sender;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//スイッチで画面の色を変える
- (IBAction)changeColor:(UISwitch *)sender {
    //スイッチのオン／オフで処理を分岐する
    if (sender.on) {
        //オン（YES）のとき背景色を赤にする
        self.view.backgroundColor = [UIColor redColor];
    } else {
        //オフ（NO）のとき背景色を灰色にする
        self.view.backgroundColor = [UIColor lightGrayColor];
    }
}

@end
