//
//  ViewController.m
//  ex_NSDateFormatter
//
//  Created by yoshiyuki oshige on 2014/01/02.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// 日付データ
    NSDate *now = [NSDate date];
    // 日付書式
    NSDateFormatter *formatter = [[NSDateFormatter alloc]init];
    //書式の設定と出力
    [formatter setDateFormat:@"yyyy/MM/dd"];
    NSLog(@"yyyy/MM/dd %@",[formatter stringFromDate:now]);
    [formatter setDateFormat:@"yyyy年M月d日"];
    NSLog(@"yyyy年M月d日 %@",[formatter stringFromDate:now]);
    [formatter setDateFormat:@"yyyy/MM/dd HH:mm:ss"];
    NSLog(@"yyyy/MM/dd HH:mm:ss %@",[formatter stringFromDate:now]);
    [formatter setDateFormat:@"H時m分s秒"];
    NSLog(@"H時m分s秒 %@",[formatter stringFromDate:now]);
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
