//
//  ViewController.m
//  ex_UIStepper
//
//  Created by yoshiyuki oshige on 2013/12/26.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
// ラベルをアウトレット接続してmyLabelプロパティ宣言を挿入する
@property (weak, nonatomic) IBOutlet UILabel *myLabel;
// ステッパーをアクション接続してstepUpDown:メソッドを挿入する
- (IBAction)stepUpDown:(UIStepper *)sender;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// ステッパーがアップ／ダウンされたならば実行する
- (IBAction)stepUpDown:(UIStepper *)sender {
    // ステッパーの値をラベルに表示する
    self.myLabel.text = [NSString stringWithFormat:@"%.0f", sender.value];
}
@end
