//
//  ViewController.m
//  ex_UISwitch_hidden
//
//  Created by yoshiyuki oshige on 2013/12/17.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
//スイッチをアウトレット接続してプロパティ宣言を挿入する
@property (weak, nonatomic) IBOutlet UISwitch *mySwitch;
//写真をアウトレット接続してプロパティ宣言を挿入する
@property (weak, nonatomic) IBOutlet UIImageView *myPhoto;

//スイッチをアクション接続してメソッド宣言を挿入する
- (IBAction)showHidePhoto:(UISwitch *)sender;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//スイッチで写真を表示／非表示する
- (IBAction)showHidePhoto:(UISwitch *)sender {
    self.myPhoto.hidden = ! self.mySwitch.on;
}

@end
